TYPO3.Flow - Bug # 33562

Status: Resolved Priority: Should have
Author: Mike Franke Category: Cache

Created: 2012-01-31 Assigned To: Karsten Dambekalns
Updated: 2012-02-16 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: FileBackend didnt use defaultLifetime if lifetime is null

Description

FileBackend.php#L191

SexpiryTime = ($lifetime === NULL) ? 0 : (time() + $lifetime);

should be

$lifetime = ($lifetime === NULL) ? $this->defaultLifetime : $lifetime;
$expiryTime = ($lifetime === 0) ? 0 : (time() + $lifetime);

Related issues:
related to Core - Feature # 39430: Update cache framework to latest FLOWS ver... Resolved

2014-04-17

Associated revisions

Revision a0ee47d1 - 2012-02-09 11:21 - Karsten Dambekalns

[BUGFIX] Fix default lifetime use in cache backend

This fixes the FileBackend so it actually uses the default lifetime

in cases it should do that.

ArrayAccess detection for configuration in AbstractBackend is fixed
along the way and the RedisBackend code cleaned up a little.

Change-Id: la6a0c5f2a885cb68ee01302224c3d694e561be5f

Fixes: #33562

Releases: 1.0, 1.1

Revision 22d865d - 2012-02-15 21:37 - Karsten Dambekalns

[BUGFIX] Fix default lifetime use in cache backend

This fixes the FileBackend so it actually uses the default lifetime
in cases it should do that.

ArrayAccess detection for configuration in AbstractBackend is fixed
along the way and the RedisBackend code cleaned up a little.
Change-Id: 1d934e3b8f3d3b121924c46f70f0e27f92a7e658d

Fixes: #33562
Releases: 1.0, 1.1

History

#1 - 2012-01-31 17:59 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2012-01-31 22:14 - Karsten Dambekalns
- Target version set to 1.0.3

#3 - 2012-01-31 22:14 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8786

#4 - 2012-02-09 11:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/8786

#5 - 2012-02-15 21:38 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.

It is available at http://review.typo3.0rg/9037

#6 - 2012-02-16 02:46 - Karsten Dambekalns
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:a0ee47d189f0a2141b6c8de2813d984c69a44eba.
